curl --request POST \
--url https://api.olostep.com/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"frequency": "<string>",
"metadata": {},
"notification": {
"events": [],
"channels": [
{
"target": "<string>",
"events": []
}
]
},
"webhook": {
"url": "<string>"
}
}
'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}"
payload = {
"frequency": "<string>",
"metadata": {},
"notification": {
"events": [],
"channels": [
{
"target": "<string>",
"events": []
}
]
},
"webhook": { "url": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frequency: '<string>',
metadata: {},
notification: {events: [], channels: [{target: '<string>', events: []}]},
webhook: {url: '<string>'}
})
};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [],
"channels": [
{
"target": "<string>",
"events": []
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}Actualizar Monitor
Actualiza la frecuencia, metadatos, notificación y/o webhook. Los cambios de frecuencia recrean el horario. Devuelve 409 mientras el estado está en aprovisionamiento.
"" se eliminan.Autorizaciones
Encabezado de autenticación Bearer de la forma Bearer , donde es tu token de autenticación.
Parámetros de ruta
^monitor_Cuerpo
Respuesta
Monitor actualizado.
Identificador único del monitor (monitor_…).
"monitor"
Intención de monitoreo en lenguaje natural.
Objetivos resueltos que el monitor rastrea después de que se completa la planificación.
Show child attributes
Show child attributes
Listas de permitidos y denegados de URL/dominio opcionales aplicadas durante la planificación y ejecución.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Esquema JSON opcional para la salida de extracción estructurada.
Monitorea el estado del ciclo de vida.
provisioning, active, paused, failed, deleted Presente cuando status es failed.
Resumen del último snapshot. Incluido en GET /v1/monitors/{monitor_id}.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Marca de tiempo Unix (segundos).
Marca de tiempo Unix (segundos).
Conteo total de snapshots. Incluido en GET /v1/monitors/{monitor_id} a menos que include_total_count=false.
Diagrama de flujo Mermaid del monitor DAG. Incluido cuando include-diagram=true en get.
¿Esta página le ayudó?